0

I have a third generation Ipad with ios 9.5.3.

In the app store I can try to buy Keynote.

Everytime I do that, the app store begin telling me that I need IOS 10.

Before IOS 10, how could people get keynote on a third generation ipad?

And now?

0
1

You should see a message to download the latest version compatible with your iOS version. At least that's how Apple handled these things in the past.

This may be a temporary bug.

Some Apple apps got updated a few days ago. Previously these apps worked just fine with iOS 9.2 or higher.

3
  • I called apple support and I've been told that I will never be able to buy and download keynote for my iPad third generation. That device can't support ios 10. And that all the apps in the store are updated to ios 10 now. I hope you are right and that's just a bug.
    – Malkavian
    Sep 21 '16 at 18:58
  • With an iPhone 3GS running iOS 6.1.6 I can still download older versions of an app if they were for sale at least once under the same app ID.
    – oa-
    Sep 21 '16 at 19:31
  • @Malkavian I don't think it's a bug, I think that's how Apple is doing business right now.
    – fsb
    Sep 21 '16 at 19:40

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .